library erpsystem_building;

import 'package:api_storage/api_storage.dart';
import 'package:erpmc/store_management/store_management.dart';
import 'package:get/get.dart';

class StoreManagementBinding<APIType extends APIMethods> extends Bindings {
  final APIType api;

  StoreManagementBinding({required this.api});
  @override
  void dependencies() {
    Get.put<StoreApiController>(StoreApiController(api: api));
    Get.put<MeasureUnitApiController>(MeasureUnitApiController(api: api));
    Get.put<ProductTypeApiController>(ProductTypeApiController(api: api));
    Get.put<ProductApiController>(ProductApiController(api: api));
    Get.put<ProductMeasureApiController>(ProductMeasureApiController(api: api));
    Get.put<ProductStorageApiController>(ProductStorageApiController(api: api));
  }
}
